summaryrefslogtreecommitdiffstats
path: root/contrib/dialog/samples/inputbox1
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/dialog/samples/inputbox1')
-rwxr-xr-xcontrib/dialog/samples/inputbox123
1 files changed, 23 insertions, 0 deletions
diff --git a/contrib/dialog/samples/inputbox1 b/contrib/dialog/samples/inputbox1
new file mode 100755
index 0000000..487aa8c
--- /dev/null
+++ b/contrib/dialog/samples/inputbox1
@@ -0,0 +1,23 @@
+#!/bin/sh
+# $Id: inputbox1,v 1.13 2010/01/13 10:20:03 tom Exp $
+
+. ./setup-vars
+
+. ./setup-tempfile
+
+$DIALOG --cr-wrap \
+ --title "INPUT BOX" --clear \
+ --inputbox "$@" \
+"Hi, this is an input dialog box. You can use
+this to ask questions that require the user
+to input a string as the answer. You can
+input strings of length longer than the
+width of the input box, in that case, the
+input field will be automatically scrolled.
+You can use BACKSPACE to correct errors.
+
+Try entering your name below:" 0 0 2> $tempfile
+
+retval=$?
+
+. ./report-tempfile
OpenPOWER on IntegriCloud